> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-framework/modularity/ui-compatibility/reference/components/pod.md).

# Pod

Generates a pod (content container with title bar).

## Syntax

```boxlang
<bx:pod 
    title="string"
    name="string"
    height="string"
    width="string"
    bodyStyle="string"
    headerStyle="string"
    overflow="string"
    source="string"
    onBindError="string"
    id="string"
    class="string"
    style="string">
    <!-- Content -->
</bx:pod>
```

## Attributes

| Attribute     | Type     | Required | Description                                                                        | Default        |
| ------------- | -------- | -------- | ---------------------------------------------------------------------------------- | -------------- |
| `title`       | `string` | No       | Text to display in the pod's title bar                                             | `""`           |
| `name`        | `string` | No       | The name assigned to the pod control                                               | `""`           |
| `height`      | `string` | No       | Height of the control in pixels                                                    | `""`           |
| `width`       | `string` | No       | Width of the control in pixels                                                     | `""`           |
| `bodyStyle`   | `string` | No       | CSS style specification for the pod body                                           | `""`           |
| `headerStyle` | `string` | No       | CSS style specification for the pod header                                         | `""`           |
| `overflow`    | `string` | No       | How to display child content that overflows: `auto`, `hidden`, `scroll`, `visible` | `auto`         |
| `source`      | `string` | No       | URL that returns the content of the pod                                            | `""`           |
| `onBindError` | `string` | No       | JavaScript function to execute if evaluating bind expression results in error      | `""`           |
| `id`          | `string` | No       | HTML element ID                                                                    | Auto-generated |
| `class`       | `string` | No       | Additional CSS classes                                                             | `""`           |
| `style`       | `string` | No       | Additional CSS styles                                                              | `""`           |

## Examples

```boxlang
<bx:pod title="User Information" width="300px">
    <p>User profile content goes here</p>
</bx:pod>
```

## Usage Notes

* Creates a bordered container with optional title bar
* Useful for organizing content into discrete sections


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-framework/modularity/ui-compatibility/reference/components/pod.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
